=== modified file 'grackle/tests/test_client.py'
--- grackle/tests/test_client.py	2012-02-14 22:49:46 +0000
+++ grackle/tests/test_client.py	2012-02-14 22:52:55 +0000
@@ -117,6 +117,8 @@
         if 'date_range' in parameters:
             try:
                 start_date, end_date = parameters['date_range'].split('..')
+                if not start_date or not end_date:
+                    raise UnparsableDateRange
             except ValueError:
                 raise UnparsableDateRange
         new_messages = []
@@ -568,3 +570,10 @@
         with ForkedFakeService.from_client(client, archive):
             with ExpectedException(UnparsableDateRange, ''):
                 client.get_messages('baz', date_range='2012-01-01')
+
+    def test_date_range_unparsabledaterange_missing_part(self):
+        client = GrackleClient('localhost', 8448)
+        archive = {'baz': [make_message('foo', body=u'abcdefghi')]}
+        with ForkedFakeService.from_client(client, archive):
+            with ExpectedException(UnparsableDateRange, ''):
+                client.get_messages('baz', date_range='2012-01-01..')

